# module Puppet::Util::LogPaths

### Public Instance Methods

path() click to toggle source

return the full path to us, for logging and rollback some classes (e.g., FileTypeRecords) will have to override this

    # File lib/puppet/util/log_paths.rb, line 4
    def path
      @path ||= '/' + pathbuilder.join('/')
    end

source_descriptors() click to toggle source

    # File lib/puppet/util/log_paths.rb, line 8
    def source_descriptors
      descriptors = {}

      descriptors[:tags] = tags

      [:path, :file, :line].each do |param|
        next unless value = send(param)
        descriptors[param] = value
      end

      descriptors
    end